---
- name: Builder user
  user:
    name: builder
    create_home: true
    shell: /bin/bash
    system: true

- name: GHC source dir
  file:
    state: directory
    owner: "builder"
    path: "/home/builder/ghc"

- include_tasks: install.yml
  loop: "{{versions}}"
  loop_control:
    loop_var: version
    index_var: version_idx
